import request from '@/utils/request'

// 查询情况说明记录列表
export function listPartymemberconditionlog(query) {
  return request({
    url: '/town/partymemberconditionlog/list',
    method: 'get',
    params: query
  })
}

// 查询情况说明记录详细
export function getPartymemberconditionlog(id) {
  return request({
    url: '/town/partymemberconditionlog/' + id,
    method: 'get'
  })
}

// 新增情况说明记录
export function addPartymemberconditionlog(data) {
  return request({
    url: '/town/partymemberconditionlog',
    method: 'post',
    data: data
  })
}

// 修改情况说明记录
export function updatePartymemberconditionlog(data) {
  return request({
    url: '/town/partymemberconditionlog',
    method: 'put',
    data: data
  })
}

// 删除情况说明记录
export function delPartymemberconditionlog(id) {
  return request({
    url: '/town/partymemberconditionlog/' + id,
    method: 'delete'
  })
}
